Bug 1374770 - Update logrorate for aodh service
Summary: Update logrorate for aodh service
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-aodh
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 10.0 (Newton)
Assignee: Pradeep Kilambi
QA Contact: Yurii Prokulevych
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-09 15:03 UTC by Yurii Prokulevych
Modified: 2016-12-14 16:00 UTC (History)
5 users (show)

Fixed In Version: openstack-aodh-3.0.0-0.2.0rc1.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-14 16:00:30 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2948 normal SHIPPED_LIVE Red Hat OpenStack Platform 10 enhancement update 2016-12-14 19:55:27 UTC

Description Yurii Prokulevych 2016-09-09 15:03:22 UTC
Description of problem:
-----------------------
To avoid disk filling it would be great to rotate files not on weekly basis but after it reaches 10M as in ceilometer.

Version-Release number of selected component (if applicable):
-------------------------------------------------------------
openstack-aodh-api-3.0.0-0.20160820003735.858f55c.el7ost.noarch
openstack-aodh-common-3.0.0-0.20160820003735.858f55c.el7ost.noarch
python-aodh-3.0.0-0.20160820003735.858f55c.el7ost.noarch
openstack-aodh-evaluator-3.0.0-0.20160820003735.858f55c.el7ost.noarch
puppet-aodh-9.1.0-0.20160822221805.75161dd.el7ost.noarch
openstack-aodh-listener-3.0.0-0.20160820003735.858f55c.el7ost.noarch
python-aodhclient-0.6.0-0.20160802210136.65d2e62.el7ost.noarch
openstack-aodh-notifier-3.0.0-0.20160820003735.858f55c.el7ost.noarch

Comment 1 Pradeep Kilambi 2016-09-09 15:40:23 UTC
fix submitted to upstream:

https://review.rdoproject.org/r/#/c/2168/

Comment 3 Yurii Prokulevych 2016-10-05 15:01:26 UTC
Verified with openstack-aodh-common-3.0.0-0.20160921151816.bb5103e.el7ost.noarch

$ cat /etc/logrotate.d/openstack-aodh 
compress

/var/log/aodh/*.log {
    weekly
    rotate 4
    size 10M
    missingok
    compress
    minsize 100k
}

Comment 6 errata-xmlrpc 2016-12-14 16:00:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2948.html


Note You need to log in before you can comment on or make changes to this bug.